Get a payment
curl --request GET \
--url https://payouts.api.trykarat.com/payments/{payment_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://payouts.api.trykarat.com/payments/{payment_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://payouts.api.trykarat.com/payments/{payment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"description": "<string>",
"referenceId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"statusUpdates": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "processing",
"reason": "<string>",
"date": "2023-11-07T05:31:56Z"
}
],
"recipient": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"autoAcceptPayouts": true
},
"payoutLink": "<string>"
}
}{
"error": {
"message": "Invalid api key"
}
}{
"error": {
"message": "Payment intent not found"
}
}Get a payment
Retrieves a single payment intent by its ID.
GET
/
payments
/
{payment_id}
Get a payment
Was this page helpful?
⌘I